diff -Naur phpbb-3.1.0-RC4/adm/style/admin.js phpbb-3.1.0-RC4-HTML5/adm/style/admin.js
--- phpbb-3.1.0-RC4/adm/style/admin.js	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/adm/style/admin.js	2014-09-21 12:00:00.000000000 +0200
@@ -169,7 +169,7 @@
 			ul = $this.children(),
 			tabs = ul.children().not('[data-skip-responsive]'),
 			links = tabs.children('a'),
-			item = ul.append('<li class="tab responsive-tab" style="display:none;"><a href="javascript:void(0);" class="responsive-tab-link">&nbsp;</a><div class="dropdown tab-dropdown" style="display: none;"><div class="pointer"><div class="pointer-inner" /></div><ul class="dropdown-contents" /></div></li>').find('li.responsive-tab'),
+			item = ul.append('<li class="tab responsive-tab" style="display:none;"><a href="javascript:void(0);" class="responsive-tab-link">&nbsp;</a><div class="dropdown tab-dropdown" style="display: none;"><div class="pointer"><div class="pointer-inner"></div><ul class="dropdown-contents"></div></li>').find('li.responsive-tab'),
 			menu = item.find('.dropdown-contents'),
 			maxHeight = 0,
 			lastWidth = false,
diff -Naur phpbb-3.1.0-RC4/assets/javascript/plupload.js phpbb-3.1.0-RC4-HTML5/assets/javascript/plupload.js
--- phpbb-3.1.0-RC4/assets/javascript/plupload.js	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/assets/javascript/plupload.js	2014-09-21 12:00:00.000000000 +0200
@@ -208,7 +208,7 @@
 	row.find('input[type="hidden"]').remove();
 
 	for (var key in attach) {
-		var input = $('<input />')
+		var input = $('<input>')
 			.attr('type', 'hidden')
 			.attr('name', 'attachment_data[' + index + '][' + key +']')
 			.attr('value', attach[key]);
diff -Naur phpbb-3.1.0-RC4/includes/acp/acp_attachments.php phpbb-3.1.0-RC4-HTML5/includes/acp/acp_attachments.php
--- phpbb-3.1.0-RC4/includes/acp/acp_attachments.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/acp/acp_attachments.php	2014-09-21 12:00:00.000000000 +0200
@@ -269,7 +269,7 @@
 					'S_DEFINED_IPS'			=> ($defined_ips != '') ? true : false,
 					'S_WARNING'				=> (sizeof($error)) ? true : false,
 
-					'WARNING_MSG'			=> implode('<br />', $error),
+					'WARNING_MSG'			=> implode('<br>', $error),
 					'DEFINED_IPS'			=> $defined_ips,
 
 					'L_SECURE_TITLE'		=> $user->lang['DEFINE_' . $allow_deny . '_IPS'],
@@ -1215,7 +1215,7 @@
 					$row = $attachments_list[$i];
 
 					$row['extension'] = strtolower(trim((string) $row['extension']));
-					$comment = ($row['attach_comment'] && !$row['in_message']) ? str_replace(array("\n", "\r"), array('<br />', "\n"), $row['attach_comment']) : '';
+					$comment = ($row['attach_comment'] && !$row['in_message']) ? str_replace(array("\n", "\r"), array('<br>', "\n"), $row['attach_comment']) : '';
 					$display_cat = $extensions[$row['extension']]['display_cat'];
 					$l_downloaded_viewed = ($display_cat == ATTACHMENT_CATEGORY_NONE) ? 'DOWNLOAD_COUNTS' : 'VIEWED_COUNTS';
 
@@ -1249,7 +1249,7 @@
 		{
 			$template->assign_vars(array(
 				'S_WARNING'		=> true,
-				'WARNING_MSG'	=> implode('<br />', $error))
+				'WARNING_MSG'	=> implode('<br>', $error))
 			);
 		}
 
@@ -1257,7 +1257,7 @@
 		{
 			$template->assign_vars(array(
 				'S_NOTIFY'		=> true,
-				'NOTIFY_MSG'	=> implode('<br />', $notify))
+				'NOTIFY_MSG'	=> implode('<br>', $notify))
 			);
 		}
 	}
@@ -1733,7 +1733,7 @@
 		$value = $filesize['value'];
 
 		// size="8" and maxlength="15" attributes as a fallback for browsers that do not support type="number" yet.
-		return '<input type="number" id="' . $key . '" size="8" maxlength="15" min="0" name="config[' . $key . ']" value="' . $value . '" /> <select name="' . $key . '">' . size_select_options($size_var) . '</select>';
+		return '<input type="number" id="' . $key . '" size="8" maxlength="15" min="0" name="config[' . $key . ']" value="' . $value . '"> <select name="' . $key . '">' . size_select_options($size_var) . '</select>';
 	}
 
 	/**
diff -Naur phpbb-3.1.0-RC4/includes/acp/acp_board.php phpbb-3.1.0-RC4-HTML5/includes/acp/acp_board.php
--- phpbb-3.1.0-RC4/includes/acp/acp_board.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/acp/acp_board.php	2014-09-21 12:00:00.000000000 +0200
@@ -615,7 +615,7 @@
 			'L_TITLE_EXPLAIN'	=> $user->lang[$display_vars['title'] . '_EXPLAIN'],
 
 			'S_ERROR'			=> (sizeof($error)) ? true : false,
-			'ERROR_MSG'			=> implode('<br />', $error),
+			'ERROR_MSG'			=> implode('<br>', $error),
 
 			'U_ACTION'			=> $this->u_action)
 		);
@@ -807,7 +807,7 @@
 	{
 		global $user;
 
-		return '<input id="' . $key . '" type="number" size="3" maxlength="3" min="1" max="999" name="config[min_name_chars]" value="' . $value . '" /> ' . $user->lang['MIN_CHARS'] . '&nbsp;&nbsp;<input type="number" size="3" maxlength="3" min="8" max="180" name="config[max_name_chars]" value="' . $this->new_config['max_name_chars'] . '" /> ' . $user->lang['MAX_CHARS'];
+		return '<input id="' . $key . '" type="number" size="3" maxlength="3" min="1" max="999" name="config[min_name_chars]" value="' . $value . '"> ' . $user->lang['MIN_CHARS'] . '&nbsp;&nbsp;<input type="number" size="3" maxlength="3" min="8" max="180" name="config[max_name_chars]" value="' . $this->new_config['max_name_chars'] . '"> ' . $user->lang['MAX_CHARS'];
 	}
 
 	/**
@@ -835,7 +835,7 @@
 	{
 		global $user;
 
-		return '<input id="' . $key . '" type="number" size="3" maxlength="3" min="1" max="999" name="config[min_pass_chars]" value="' . $value . '" /> ' . $user->lang['MIN_CHARS'] . '&nbsp;&nbsp;<input type="number" size="3" maxlength="3" min="8" max="255" name="config[max_pass_chars]" value="' . $this->new_config['max_pass_chars'] . '" /> ' . $user->lang['MAX_CHARS'];
+		return '<input id="' . $key . '" type="number" size="3" maxlength="3" min="1" max="999" name="config[min_pass_chars]" value="' . $value . '"> ' . $user->lang['MIN_CHARS'] . '&nbsp;&nbsp;<input type="number" size="3" maxlength="3" min="8" max="255" name="config[max_pass_chars]" value="' . $this->new_config['max_pass_chars'] . '"> ' . $user->lang['MAX_CHARS'];
 	}
 
 	/**
@@ -871,7 +871,7 @@
 			$s_bump_type .= '<option value="' . $type . '"' . $selected . '>' . $user->lang[$lang] . '</option>';
 		}
 
-		return '<input id="' . $key . '" type="text" size="3" maxlength="4" name="config[bump_interval]" value="' . $value . '" />&nbsp;<select name="config[bump_type]">' . $s_bump_type . '</select>';
+		return '<input id="' . $key . '" type="text" size="3" maxlength="4" name="config[bump_interval]" value="' . $value . '">&nbsp;<select name="config[bump_type]">' . $s_bump_type . '</select>';
 	}
 
 	/**
@@ -883,7 +883,7 @@
 
 		$radio_ary = array(1 => 'YES', 0 => 'NO');
 
-		return h_radio('config[board_disable]', $radio_ary, $value) . '<br /><input id="' . $key . '" type="text" name="config[board_disable_msg]" maxlength="255" size="40" value="' . $this->new_config['board_disable_msg'] . '" />';
+		return h_radio('config[board_disable]', $radio_ary, $value) . '<br><input id="' . $key . '" type="text" name="config[board_disable_msg]" maxlength="255" size="40" value="' . $this->new_config['board_disable_msg'] . '">';
 	}
 
 	/**
@@ -896,7 +896,7 @@
 		$radio_ary = array(1 => 'YES', 0 => 'NO');
 
 		return h_radio('config[allow_quick_reply]', $radio_ary, $value) .
-			'<br /><br /><input class="button2" type="submit" id="' . $key . '_enable" name="' . $key . '_enable" value="' . $user->lang['ALLOW_QUICK_REPLY_BUTTON'] . '" />';
+			'<br><br><input class="button2" type="submit" id="' . $key . '_enable" name="' . $key . '_enable" value="' . $user->lang['ALLOW_QUICK_REPLY_BUTTON'] . '">';
 	}
 
 	/**
@@ -950,7 +950,7 @@
 		$user->timezone = $old_tz;
 
 		return "<select name=\"dateoptions\" id=\"dateoptions\" onchange=\"if (this.value == 'custom') { document.getElementById('" . addslashes($key) . "').value = '" . addslashes($value) . "'; } else { document.getElementById('" . addslashes($key) . "').value = this.value; }\">$dateformat_options</select>
-		<input type=\"text\" name=\"config[$key]\" id=\"$key\" value=\"$value\" maxlength=\"30\" />";
+		<input type=\"text\" name=\"config[$key]\" id=\"$key\" value=\"$value\" maxlength=\"30\">";
 	}
 
 	/**
@@ -1066,6 +1066,6 @@
 		$field_name = 'config[enable_mod_rewrite]' . ($message === 'MOD_REWRITE_DISABLED' ? '" disabled="disabled' : '');
 
 		return h_radio($field_name, array(1 => 'YES', 0 => 'NO'), $value) .
-			($message !== false ? '<br /><span>' . $user->lang($message) . '</span>' : '');
+			($message !== false ? '<br><span>' . $user->lang($message) . '</span>' : '');
 	}
 }
diff -Naur phpbb-3.1.0-RC4/includes/acp/acp_bots.php phpbb-3.1.0-RC4-HTML5/includes/acp/acp_bots.php
--- phpbb-3.1.0-RC4/includes/acp/acp_bots.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/acp/acp_bots.php	2014-09-21 12:00:00.000000000 +0200
@@ -334,7 +334,7 @@
 					'L_TITLE'		=> $user->lang['BOT_' . $l_title],
 					'U_ACTION'		=> $this->u_action . "&amp;id=$bot_id&amp;action=$action",
 					'U_BACK'		=> $this->u_action,
-					'ERROR_MSG'		=> (sizeof($error)) ? implode('<br />', $error) : '',
+					'ERROR_MSG'		=> (sizeof($error)) ? implode('<br>', $error) : '',
 
 					'BOT_NAME'		=> $bot_row['bot_name'],
 					'BOT_IP'		=> $bot_row['bot_ip'],
diff -Naur phpbb-3.1.0-RC4/includes/acp/acp_email.php phpbb-3.1.0-RC4-HTML5/includes/acp/acp_email.php
--- phpbb-3.1.0-RC4/includes/acp/acp_email.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/acp/acp_email.php	2014-09-21 12:00:00.000000000 +0200
@@ -269,7 +269,7 @@
 
 		$template->assign_vars(array(
 			'S_WARNING'				=> (sizeof($error)) ? true : false,
-			'WARNING_MSG'			=> (sizeof($error)) ? implode('<br />', $error) : '',
+			'WARNING_MSG'			=> (sizeof($error)) ? implode('<br>', $error) : '',
 			'U_ACTION'				=> $this->u_action,
 			'S_GROUP_OPTIONS'		=> $select_list,
 			'USERNAMES'				=> $usernames,
diff -Naur phpbb-3.1.0-RC4/includes/acp/acp_forums.php phpbb-3.1.0-RC4-HTML5/includes/acp/acp_forums.php
--- phpbb-3.1.0-RC4/includes/acp/acp_forums.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/acp/acp_forums.php	2014-09-21 12:00:00.000000000 +0200
@@ -228,7 +228,7 @@
 						// redirect directly to permission settings screen if authed
 						if ($action == 'add' && !$copied_permissions && $auth->acl_get('a_fauth'))
 						{
-							$message .= '<br /><br />' . sprintf($user->lang['REDIRECT_ACL'], '<a href="' . append_sid("{$phpbb_admin_path}index.$phpEx", 'i=permissions' . $acl_url) . '">', '</a>');
+							$message .= '<br><br>' . sprintf($user->lang['REDIRECT_ACL'], '<a href="' . append_sid("{$phpbb_admin_path}index.$phpEx", 'i=permissions' . $acl_url) . '">', '</a>');
 
 							meta_refresh(4, append_sid("{$phpbb_admin_path}index.$phpEx", 'i=permissions' . $acl_url));
 						}
@@ -631,7 +631,7 @@
 
 					'L_COPY_PERMISSIONS_EXPLAIN'	=> $user->lang['COPY_PERMISSIONS_' . strtoupper($action) . '_EXPLAIN'],
 					'L_TITLE'						=> $user->lang[$this->page_title],
-					'ERROR_MSG'						=> (sizeof($errors)) ? implode('<br />', $errors) : '',
+					'ERROR_MSG'						=> (sizeof($errors)) ? implode('<br>', $errors) : '',
 
 					'FORUM_NAME'				=> $forum_data['forum_name'],
 					'FORUM_DATA_LINK'			=> $forum_data['forum_link'],
@@ -772,7 +772,7 @@
 					'S_HAS_SUBFORUMS'		=> ($forum_data['right_id'] - $forum_data['left_id'] > 1) ? true : false,
 					'S_FORUMS_LIST'			=> $forums_list,
 					'S_ERROR'				=> (sizeof($errors)) ? true : false,
-					'ERROR_MSG'				=> (sizeof($errors)) ? implode('<br />', $errors) : '')
+					'ERROR_MSG'				=> (sizeof($errors)) ? implode('<br>', $errors) : '')
 				);
 
 				return;
@@ -796,7 +796,7 @@
 					// Redirect to permissions
 					if ($auth->acl_get('a_fauth'))
 					{
-						$message .= '<br /><br />' . sprintf($user->lang['REDIRECT_ACL'], '<a href="' . append_sid("{$phpbb_admin_path}index.$phpEx", 'i=permissions' . $acl_url) . '">', '</a>');
+						$message .= '<br><br>' . sprintf($user->lang['REDIRECT_ACL'], '<a href="' . append_sid("{$phpbb_admin_path}index.$phpEx", 'i=permissions' . $acl_url) . '">', '</a>');
 					}
 
 					trigger_error($message . adm_back_link($this->u_action . '&amp;parent_id=' . $this->parent_id));
@@ -850,18 +850,18 @@
 
 				if ($row['forum_status'] == ITEM_LOCKED)
 				{
-					$folder_image = '<img src="images/icon_folder_lock.gif" alt="' . $user->lang['LOCKED'] . '" />';
+					$folder_image = '<img src="images/icon_folder_lock.gif" alt="' . $user->lang['LOCKED'] . '">';
 				}
 				else
 				{
 					switch ($forum_type)
 					{
 						case FORUM_LINK:
-							$folder_image = '<img src="images/icon_folder_link.gif" alt="' . $user->lang['LINK'] . '" />';
+							$folder_image = '<img src="images/icon_folder_link.gif" alt="' . $user->lang['LINK'] . '">';
 						break;
 
 						default:
-							$folder_image = ($row['left_id'] + 1 != $row['right_id']) ? '<img src="images/icon_subfolder.gif" alt="' . $user->lang['SUBFORUM'] . '" />' : '<img src="images/icon_folder.gif" alt="' . $user->lang['FOLDER'] . '" />';
+							$folder_image = ($row['left_id'] + 1 != $row['right_id']) ? '<img src="images/icon_subfolder.gif" alt="' . $user->lang['SUBFORUM'] . '">' : '<img src="images/icon_folder.gif" alt="' . $user->lang['FOLDER'] . '">';
 						break;
 					}
 				}
@@ -870,7 +870,7 @@
 
 				$template->assign_block_vars('forums', array(
 					'FOLDER_IMAGE'		=> $folder_image,
-					'FORUM_IMAGE'		=> ($row['forum_image']) ? '<img src="' . $phpbb_root_path . $row['forum_image'] . '" alt="" />' : '',
+					'FORUM_IMAGE'		=> ($row['forum_image']) ? '<img src="' . $phpbb_root_path . $row['forum_image'] . '" alt="">' : '',
 					'FORUM_IMAGE_SRC'	=> ($row['forum_image']) ? $phpbb_root_path . $row['forum_image'] : '',
 					'FORUM_NAME'		=> $row['forum_name'],
 					'FORUM_DESCRIPTION'	=> generate_text_for_display($row['forum_desc'], $row['forum_desc_uid'], $row['forum_desc_bitfield'], $row['forum_desc_options']),
@@ -907,7 +907,7 @@
 		$db->sql_freeresult($result);
 
 		$template->assign_vars(array(
-			'ERROR_MSG'		=> (sizeof($errors)) ? implode('<br />', $errors) : '',
+			'ERROR_MSG'		=> (sizeof($errors)) ? implode('<br>', $errors) : '',
 			'NAVIGATION'	=> $navigation,
 			'FORUM_BOX'		=> $forum_box,
 			'U_SEL_ACTION'	=> $this->u_action,
diff -Naur phpbb-3.1.0-RC4/includes/acp/acp_groups.php phpbb-3.1.0-RC4-HTML5/includes/acp/acp_groups.php
--- phpbb-3.1.0-RC4/includes/acp/acp_groups.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/acp/acp_groups.php	2014-09-21 12:00:00.000000000 +0200
@@ -718,7 +718,7 @@
 					'S_USER_FOUNDER'	=> ($user->data['user_type'] == USER_FOUNDER) ? true : false,
 					'S_AVATARS_ENABLED'		=> ($config['allow_avatar'] && $avatars_enabled),
 
-					'ERROR_MSG'				=> (sizeof($error)) ? implode('<br />', $error) : '',
+					'ERROR_MSG'				=> (sizeof($error)) ? implode('<br>', $error) : '',
 					'GROUP_NAME'			=> ($group_type == GROUP_SPECIAL) ? $user->lang['G_' . $group_name] : $group_name,
 					'GROUP_INTERNAL_NAME'	=> $group_name,
 					'GROUP_DESC'			=> $group_desc_data['text'],
@@ -737,7 +737,7 @@
 
 					'S_RANK_OPTIONS'		=> $rank_options,
 					'S_GROUP_OPTIONS'		=> group_select_options(false, false, (($user->data['user_type'] == USER_FOUNDER) ? false : 0)),
-					'AVATAR'				=> empty($avatar) ? '<img src="' . $phpbb_admin_path . 'images/no_avatar.gif" alt="" />' : $avatar,
+					'AVATAR'				=> empty($avatar) ? '<img src="' . $phpbb_admin_path . 'images/no_avatar.gif" alt="">' : $avatar,
 					'AVATAR_MAX_FILESIZE'	=> $config['avatar_filesize'],
 					'AVATAR_WIDTH'			=> (isset($group_row['group_avatar_width'])) ? $group_row['group_avatar_width'] : '',
 					'AVATAR_HEIGHT'			=> (isset($group_row['group_avatar_height'])) ? $group_row['group_avatar_height'] : '',
diff -Naur phpbb-3.1.0-RC4/includes/acp/acp_icons.php phpbb-3.1.0-RC4-HTML5/includes/acp/acp_icons.php
--- phpbb-3.1.0-RC4/includes/acp/acp_icons.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/acp/acp_icons.php	2014-09-21 12:00:00.000000000 +0200
@@ -491,7 +491,7 @@
 				$errormsgs = '';
 				foreach ($errors as $img => $error)
 				{
-					$errormsgs .= '<br />' . sprintf($user->lang[$error], $img);
+					$errormsgs .= '<br>' . sprintf($user->lang[$error], $img);
 				}
 				if ($action == 'modify')
 				{
diff -Naur phpbb-3.1.0-RC4/includes/acp/acp_jabber.php phpbb-3.1.0-RC4-HTML5/includes/acp/acp_jabber.php
--- phpbb-3.1.0-RC4/includes/acp/acp_jabber.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/acp/acp_jabber.php	2014-09-21 12:00:00.000000000 +0200
@@ -77,13 +77,13 @@
 
 				if (!$jabber->connect())
 				{
-					trigger_error($user->lang['ERR_JAB_CONNECT'] . '<br /><br />' . $jabber->get_log() . adm_back_link($this->u_action), E_USER_WARNING);
+					trigger_error($user->lang['ERR_JAB_CONNECT'] . '<br><br>' . $jabber->get_log() . adm_back_link($this->u_action), E_USER_WARNING);
 				}
 
 				// We'll try to authorise using this account
 				if (!$jabber->login())
 				{
-					trigger_error($user->lang['ERR_JAB_AUTH'] . '<br /><br />' . $jabber->get_log() . adm_back_link($this->u_action), E_USER_WARNING);
+					trigger_error($user->lang['ERR_JAB_AUTH'] . '<br><br>' . $jabber->get_log() . adm_back_link($this->u_action), E_USER_WARNING);
 				}
 
 				$jabber->disconnect();
diff -Naur phpbb-3.1.0-RC4/includes/acp/acp_language.php phpbb-3.1.0-RC4-HTML5/includes/acp/acp_language.php
--- phpbb-3.1.0-RC4/includes/acp/acp_language.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/acp/acp_language.php	2014-09-21 12:00:00.000000000 +0200
@@ -332,7 +332,7 @@
 				add_log('admin', 'LOG_LANGUAGE_PACK_INSTALLED', $lang_pack['name']);
 
 				$message = sprintf($user->lang['LANGUAGE_PACK_INSTALLED'], $lang_pack['name']);
-				$message .= ($notify_cpf_update) ? '<br /><br />' . $user->lang['LANGUAGE_PACK_CPF_UPDATE'] : '';
+				$message .= ($notify_cpf_update) ? '<br><br>' . $user->lang['LANGUAGE_PACK_CPF_UPDATE'] : '';
 				trigger_error($message . adm_back_link($this->u_action));
 
 			break;
diff -Naur phpbb-3.1.0-RC4/includes/acp/acp_modules.php phpbb-3.1.0-RC4-HTML5/includes/acp/acp_modules.php
--- phpbb-3.1.0-RC4/includes/acp/acp_modules.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/acp/acp_modules.php	2014-09-21 12:00:00.000000000 +0200
@@ -370,7 +370,7 @@
 				{
 					$template->assign_vars(array(
 						'S_ERROR'	=> true,
-						'ERROR_MSG'	=> implode('<br />', $errors))
+						'ERROR_MSG'	=> implode('<br>', $errors))
 					);
 				}
 
@@ -387,14 +387,14 @@
 				$json_response = new \phpbb\json_response;
 				$json_response->send(array(
 					'MESSAGE_TITLE'	=> $user->lang('ERROR'),
-					'MESSAGE_TEXT'	=> implode('<br />', $errors),
+					'MESSAGE_TEXT'	=> implode('<br>', $errors),
 					'SUCCESS'	=> false,
 				));
 			}
 
 			$template->assign_vars(array(
 				'S_ERROR'	=> true,
-				'ERROR_MSG'	=> implode('<br />', $errors))
+				'ERROR_MSG'	=> implode('<br>', $errors))
 			);
 		}
 
@@ -441,11 +441,11 @@
 
 				if (!$row['module_enabled'])
 				{
-					$module_image = '<img src="images/icon_folder_lock.gif" alt="' . $user->lang['DEACTIVATED_MODULE'] .'" />';
+					$module_image = '<img src="images/icon_folder_lock.gif" alt="' . $user->lang['DEACTIVATED_MODULE'] .'">';
 				}
 				else
 				{
-					$module_image = (!$row['module_basename'] || $row['left_id'] + 1 != $row['right_id']) ? '<img src="images/icon_subfolder.gif" alt="' . $user->lang['CATEGORY'] . '" />' : '<img src="images/icon_folder.gif" alt="' . $user->lang['MODULE'] . '" />';
+					$module_image = (!$row['module_basename'] || $row['left_id'] + 1 != $row['right_id']) ? '<img src="images/icon_subfolder.gif" alt="' . $user->lang['CATEGORY'] . '">' : '<img src="images/icon_folder.gif" alt="' . $user->lang['MODULE'] . '">';
 				}
 
 				$url = $this->u_action . '&amp;parent_id=' . $this->parent_id . '&amp;m=' . $row['module_id'];
diff -Naur phpbb-3.1.0-RC4/includes/acp/acp_php_info.php phpbb-3.1.0-RC4-HTML5/includes/acp/acp_php_info.php
--- phpbb-3.1.0-RC4/includes/acp/acp_php_info.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/acp/acp_php_info.php	2014-09-21 12:00:00.000000000 +0200
@@ -65,7 +65,7 @@
 		}
 		$output = preg_replace('#<table[^>]+>#i', '<table>', $output);
 		$output = preg_replace('#<img border="0"#i', '<img', $output);
-		$output = str_replace(array('class="e"', 'class="v"', 'class="h"', '<hr />', '<font', '</font>'), array('class="row1"', 'class="row2"', '', '', '<span', '</span>'), $output);
+		$output = str_replace(array('class="e"', 'class="v"', 'class="h"', '<hr>', '<font', '</font>'), array('class="row1"', 'class="row2"', '', '', '<span', '</span>'), $output);
 
 		// Fix invalid anchor names (eg "module_Zend Optimizer")
 		$output = preg_replace_callback('#<a name="([^"]+)">#', array($this, 'remove_spaces'), $output);
diff -Naur phpbb-3.1.0-RC4/includes/acp/acp_profile.php phpbb-3.1.0-RC4-HTML5/includes/acp/acp_profile.php
--- phpbb-3.1.0-RC4/includes/acp/acp_profile.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/acp/acp_profile.php	2014-09-21 12:00:00.000000000 +0200
@@ -312,7 +312,7 @@
 					}
 					$db->sql_freeresult($result);
 
-					$s_hidden_fields = '<input type="hidden" name="field_id" value="' . $field_id . '" />';
+					$s_hidden_fields = '<input type="hidden" name="field_id" value="' . $field_id . '">';
 				}
 				else
 				{
@@ -346,7 +346,7 @@
 						'lang_default_value'=> '')
 					);
 
-					$s_hidden_fields = '<input type="hidden" name="field_type" value="' . $field_type . '" />';
+					$s_hidden_fields = '<input type="hidden" name="field_type" value="' . $field_type . '">';
 				}
 
 				// $exclude contains the data we gather in each step
@@ -558,7 +558,7 @@
 				$template->assign_vars(array(
 					'S_EDIT'			=> true,
 					'S_EDIT_MODE'		=> ($action == 'edit') ? true : false,
-					'ERROR_MSG'			=> (sizeof($error)) ? implode('<br />', $error) : '',
+					'ERROR_MSG'			=> (sizeof($error)) ? implode('<br>', $error) : '',
 
 					'L_TITLE'			=> $user->lang['STEP_' . $step . '_TITLE_' . strtoupper($action)],
 					'L_EXPLAIN'			=> $user->lang['STEP_' . $step . '_EXPLAIN_' . strtoupper($action)],
@@ -740,7 +740,7 @@
 			$lang_options[1]['lang_iso'] = $this->lang_defs['id'][$default_lang_id];
 			$lang_options[1]['fields'][$field] = array(
 				'TITLE'		=> $user->lang['CP_' . strtoupper($field)],
-				'FIELD'		=> '<dd>' . ((is_array($cp->vars[$field])) ? implode('<br />', $cp->vars[$field]) : bbcode_nl2br($cp->vars[$field])) . '</dd>'
+				'FIELD'		=> '<dd>' . ((is_array($cp->vars[$field])) ? implode('<br>', $cp->vars[$field]) : bbcode_nl2br($cp->vars[$field])) . '</dd>'
 			);
 
 			if (isset($user->lang['CP_' . strtoupper($field) . '_EXPLAIN']))
@@ -766,8 +766,8 @@
 							$lang_options[$lang_id]['fields'][$field] = array(
 								'TITLE'		=> $user->lang['CP_' . strtoupper($field)],
 								'FIELD'		=> '
-											<dd><input class="medium" name="l_' . $field . '[' . $lang_id . '][]" value="' . ((isset($value[$lang_id][0])) ? $value[$lang_id][0] : $var[0]) . '" /> ' . $user->lang['FIRST_OPTION'] . '</dd>
-											<dd><input class="medium" name="l_' . $field . '[' . $lang_id . '][]" value="' . ((isset($value[$lang_id][1])) ? $value[$lang_id][1] : $var[1]) . '" /> ' . $user->lang['SECOND_OPTION'] . '</dd>'
+											<dd><input class="medium" name="l_' . $field . '[' . $lang_id . '][]" value="' . ((isset($value[$lang_id][0])) ? $value[$lang_id][0] : $var[0]) . '"> ' . $user->lang['FIRST_OPTION'] . '</dd>
+											<dd><input class="medium" name="l_' . $field . '[' . $lang_id . '][]" value="' . ((isset($value[$lang_id][1])) ? $value[$lang_id][1] : $var[1]) . '"> ' . $user->lang['SECOND_OPTION'] . '</dd>'
 							);
 						break;
 
@@ -791,7 +791,7 @@
 
 					$lang_options[$lang_id]['fields'][$field] = array(
 						'TITLE'		=> $user->lang['CP_' . strtoupper($field)],
-						'FIELD'		=> ($field_type == 'string') ? '<dd><input class="medium" type="text" name="l_' . $field . '[' . $lang_id . ']" value="' . ((isset($value[$lang_id])) ? $value[$lang_id] : $var) . '" /></dd>' : '<dd><textarea name="l_' . $field . '[' . $lang_id . ']" rows="3" cols="80">' . ((isset($value[$lang_id])) ? $value[$lang_id] : $var) . '</textarea></dd>'
+						'FIELD'		=> ($field_type == 'string') ? '<dd><input class="medium" type="text" name="l_' . $field . '[' . $lang_id . ']" value="' . ((isset($value[$lang_id])) ? $value[$lang_id] : $var) . '"></dd>' : '<dd><textarea name="l_' . $field . '[' . $lang_id . ']" rows="3" cols="80">' . ((isset($value[$lang_id])) ? $value[$lang_id] : $var) . '</textarea></dd>'
 					);
 
 					if (isset($user->lang['CP_' . strtoupper($field) . '_EXPLAIN']))
diff -Naur phpbb-3.1.0-RC4/includes/acp/acp_prune.php phpbb-3.1.0-RC4-HTML5/includes/acp/acp_prune.php
--- phpbb-3.1.0-RC4/includes/acp/acp_prune.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/acp/acp_prune.php	2014-09-21 12:00:00.000000000 +0200
@@ -205,7 +205,7 @@
 			do
 			{
 				$forum_list .= (($forum_list != '') ? ', ' : '') . '<b>' . $row['forum_name'] . '</b>';
-				$s_hidden_fields .= '<input type="hidden" name="f[]" value="' . $row['forum_id'] . '" />';
+				$s_hidden_fields .= '<input type="hidden" name="f[]" value="' . $row['forum_id'] . '">';
 			}
 			while ($row = $db->sql_fetchrow($result));
 
diff -Naur phpbb-3.1.0-RC4/includes/acp/acp_reasons.php phpbb-3.1.0-RC4-HTML5/includes/acp/acp_reasons.php
--- phpbb-3.1.0-RC4/includes/acp/acp_reasons.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/acp/acp_reasons.php	2014-09-21 12:00:00.000000000 +0200
@@ -172,7 +172,7 @@
 					'L_TITLE'		=> $user->lang['REASON_' . $l_title],
 					'U_ACTION'		=> $this->u_action . "&amp;id=$reason_id&amp;action=$action",
 					'U_BACK'		=> $this->u_action,
-					'ERROR_MSG'		=> (sizeof($error)) ? implode('<br />', $error) : '',
+					'ERROR_MSG'		=> (sizeof($error)) ? implode('<br>', $error) : '',
 
 					'REASON_TITLE'			=> $reason_row['reason_title'],
 					'REASON_DESCRIPTION'	=> $reason_row['reason_description'],
diff -Naur phpbb-3.1.0-RC4/includes/acp/acp_search.php phpbb-3.1.0-RC4-HTML5/includes/acp/acp_search.php
--- phpbb-3.1.0-RC4/includes/acp/acp_search.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/acp/acp_search.php	2014-09-21 12:00:00.000000000 +0200
@@ -163,7 +163,7 @@
 							{
 								add_log('admin', 'LOG_CONFIG_SEARCH');
 							}
-							$extra_message = '<br />' . $user->lang['SWITCHED_SEARCH_BACKEND'] . '<br /><a href="' . append_sid("{$phpbb_admin_path}index.$phpEx", 'i=search&amp;mode=index') . '">&raquo; ' . $user->lang['GO_TO_SEARCH_INDEX'] . '</a>';
+							$extra_message = '<br>' . $user->lang['SWITCHED_SEARCH_BACKEND'] . '<br><a href="' . append_sid("{$phpbb_admin_path}index.$phpEx", 'i=search&amp;mode=index') . '">&raquo; ' . $user->lang['GO_TO_SEARCH_INDEX'] . '</a>';
 						}
 						else
 						{
@@ -547,10 +547,8 @@
 
 	function close_popup_js()
 	{
-		return "<script type=\"text/javascript\">\n" .
-			"// <![CDATA[\n" .
+		return "<script>\n" .
 			"	close_waitscreen = 1;\n" .
-			"// ]]>\n" .
 			"</script>\n";
 	}
 
diff -Naur phpbb-3.1.0-RC4/includes/acp/acp_styles.php phpbb-3.1.0-RC4-HTML5/includes/acp/acp_styles.php
--- phpbb-3.1.0-RC4/includes/acp/acp_styles.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/acp/acp_styles.php	2014-09-21 12:00:00.000000000 +0200
@@ -208,9 +208,9 @@
 		{
 			trigger_error($this->user->lang['NO_MATCHING_STYLES_FOUND'] . adm_back_link($this->u_action), E_USER_WARNING);
 		}
-		$message = implode('<br />', $messages);
-		$message .= '<br /><br /><a href="' . $this->u_base_action . '&amp;mode=style' . '">&laquo; ' . $this->user->lang('STYLE_INSTALLED_RETURN_INSTALLED_STYLES') . '</a>';
-		$message .= '<br /><br /><a href="' . $this->u_base_action . '&amp;mode=install' . '">&raquo; ' . $this->user->lang('STYLE_INSTALLED_RETURN_UNINSTALLED_STYLES') . '</a>';
+		$message = implode('<br>', $messages);
+		$message .= '<br><br><a href="' . $this->u_base_action . '&amp;mode=style' . '">&laquo; ' . $this->user->lang('STYLE_INSTALLED_RETURN_INSTALLED_STYLES') . '</a>';
+		$message .= '<br><br><a href="' . $this->u_base_action . '&amp;mode=install' . '">&raquo; ' . $this->user->lang('STYLE_INSTALLED_RETURN_UNINSTALLED_STYLES') . '</a>';
 		trigger_error($message, E_USER_NOTICE);
 	}
 
@@ -316,7 +316,7 @@
 		$this->cache->purge();
 
 		// Show message
-		trigger_error(implode('<br />', $messages) . adm_back_link($this->u_action), E_USER_NOTICE);
+		trigger_error(implode('<br>', $messages) . adm_back_link($this->u_action), E_USER_NOTICE);
 	}
 
 	/**
diff -Naur phpbb-3.1.0-RC4/includes/acp/acp_users.php phpbb-3.1.0-RC4-HTML5/includes/acp/acp_users.php
--- phpbb-3.1.0-RC4/includes/acp/acp_users.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/acp/acp_users.php	2014-09-21 12:00:00.000000000 +0200
@@ -1308,7 +1308,7 @@
 							}
 							else if (!empty($log_data_ary))
 							{
-								$row['action'] .= '<br />' . implode('', $log_data_ary);
+								$row['action'] .= '<br>' . implode('', $log_data_ary);
 							}
 						}
 					}
@@ -1823,8 +1823,8 @@
 
 				$template->assign_vars(array(
 					'S_AVATAR'	=> true,
-					'ERROR'			=> (!empty($error)) ? implode('<br />', $error) : '',
-					'AVATAR'		=> (empty($avatar) ? '<img src="' . $phpbb_admin_path . 'images/no_avatar.gif" alt="" />' : $avatar),
+					'ERROR'			=> (!empty($error)) ? implode('<br>', $error) : '',
+					'AVATAR'		=> (empty($avatar) ? '<img src="' . $phpbb_admin_path . 'images/no_avatar.gif" alt="">' : $avatar),
 
 					'S_FORM_ENCTYPE'	=> ' enctype="multipart/form-data"',
 
@@ -1903,7 +1903,7 @@
 
 					if (sizeof($message_parser->warn_msg))
 					{
-						$error[] = implode('<br />', $message_parser->warn_msg);
+						$error[] = implode('<br>', $message_parser->warn_msg);
 					}
 
 					if (!check_form_key($form_name))
@@ -2416,7 +2416,7 @@
 		// Assign general variables
 		$template->assign_vars(array(
 			'S_ERROR'			=> (sizeof($error)) ? true : false,
-			'ERROR_MSG'			=> (sizeof($error)) ? implode('<br />', $error) : '')
+			'ERROR_MSG'			=> (sizeof($error)) ? implode('<br>', $error) : '')
 		);
 	}
 
diff -Naur phpbb-3.1.0-RC4/includes/acp/acp_words.php phpbb-3.1.0-RC4-HTML5/includes/acp/acp_words.php
--- phpbb-3.1.0-RC4/includes/acp/acp_words.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/acp/acp_words.php	2014-09-21 12:00:00.000000000 +0200
@@ -64,7 +64,7 @@
 				$word_info = $db->sql_fetchrow($result);
 				$db->sql_freeresult($result);
 
-				$s_hidden_fields .= '<input type="hidden" name="id" value="' . $word_id . '" />';
+				$s_hidden_fields .= '<input type="hidden" name="id" value="' . $word_id . '">';
 
 			case 'add':
 
